"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cleanupQueue = new Set();
function cleanup() {
    cleanupQueue.forEach(fn => fn());
    cleanupQueue.clear();
}
exports.default = cleanup;
function addToCleanupQueue(fn) {
    cleanupQueue.add(fn);
}
exports.addToCleanupQueue = addToCleanupQueue;
//# sourceMappingURL=cleanup.js.map