import { ReactTestInstance } from 'react-test-renderer';
export declare type FireEventFunction = (element: ReactTestInstance, eventName: string, ...data: Array<any>) => any;
export declare type FireEventAPI = FireEventFunction & {
    click: (element: ReactTestInstance) => any;
    changeText: (element: ReactTestInstance, ...data: Array<any>) => any;
};
declare const fireEvent: FireEventAPI;
export default fireEvent;
