"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const shallow_1 = __importDefault(require("../shallow"));
const format_1 = __importDefault(require("./format"));
/**
 * Log pretty-printed shallow test component instance
 */
function debugShallow(instance, message) {
    const { output } = shallow_1.default(instance);
    if (message) {
        console.log(`${message}\n\n`, format_1.default(output));
    }
    else {
        console.log(format_1.default(output));
    }
}
exports.default = debugShallow;
//# sourceMappingURL=debugShallow.js.map