"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const shallow_1 = require("react-test-renderer/shallow");
function shallow(instance) {
    const renderer = shallow_1.createRenderer();
    renderer.render(react_1.default.createElement(instance.type, instance.props));
    return {
        output: renderer.getRenderOutput(),
    };
}
exports.default = shallow;
//# sourceMappingURL=shallow.js.map